Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

API token authentication using format <api token id>:<api client secret>

Path Parameters

transactionId
string
required

Unique identifier of the transaction to cancel

Body

application/json
reason
string

Optional reason for cancelling the transaction. This is just for debugging purposes or can be used for a platform's own purposes.

Example:

"REQUESTED_AFTER_HOURS"

Response

Cancellation requested successfully

id
string
required

Unique identifier for the transaction

Example:

"Transaction:019542f5-b3e7-1d02-0000-000000000004"

status
enum<string>
required

Status of a payment transaction.

Available options:
CREATED,
PENDING,
PENDING_AUTHORIZATION,
PROCESSING,
COMPLETED,
REJECTED,
FAILED,
REFUNDED,
EXPIRED
type
enum<string>
required

Type of transaction (incoming payment or outgoing payment)

Available options:
INCOMING
direction
enum<string>
required

Whether this transaction credits or debits the customer's account.

Available options:
CREDIT,
DEBIT
destination
Account Destination · object
required

Destination account details

customerId
string
required

System ID of the customer this transaction belongs to

Example:

"Customer:019542f5-b3e7-1d02-0000-000000000001"

platformCustomerId
string
required

Platform-specific ID of the customer this transaction belongs to

Example:

"18d3e5f7b4a9c2"

receivedAmount
object
required

Amount received in the recipient's currency

settledAt
string<date-time>

When the payment was or will be settled

Example:

"2025-08-15T14:30:00Z"

createdAt
string<date-time>

When the transaction was created

Example:

"2025-08-15T14:25:18Z"

updatedAt
string<date-time>

When the transaction was last updated

Example:

"2025-08-15T14:30:00Z"

receiptDeliveryConfirmedAt
string<date-time>

The time at which the platform confirmed delivery of the receipt to their customer.

Example:

"2025-08-15T14:31:00Z"

agentId
string

If this transaction was initiated by an agent, the system-generated ID of that agent. Absent for platform-initiated transactions.

Example:

"Agent:019542f5-b3e7-1d02-0000-000000000042"

description
string

Optional memo or description for the payment

Example:

"Payment for invoice #1234"

sentAmount
object

Amount sent in the sender's currency

exchangeRate
number

Number of sending currency units per receiving currency unit.

Example:

1.08

quoteId
string

The ID of the quote that was used to trigger this payment

Example:

"Quote:019542f5-b3e7-1d02-0000-000000000006"

refund
object

The refund if transaction was refunded.

counterpartyInformation
object

Additional information about the counterparty, if available and relevant to the transaction and platform.

Example:
source
Account Source · object

Source account details

fees
integer<int64>

The total fees available from the receive quote in the smallest unit of the sending currency (eg. cents).

Required range: x >= 0
Example:

10

reconciliationInstructions
object

Included for all transactions except those with "CREATED" status

failureReason
enum<string>

If the transaction failed, this field provides the reason for failure.

Available options:
LNURLP_FAILED,
PAY_REQUEST_FAILED,
PAYMENT_APPROVAL_WEBHOOK_ERROR,
PAYMENT_APPROVAL_TIMED_OUT,
OFFRAMP_FAILED,
MISSING_MANDATORY_PAYEE_DATA,
QUOTE_EXPIRED,
QUOTE_EXECUTION_FAILED